Subject: Re: bug#21720: Building gcc fails at target s-attrtab

From: Efraim Flashner <[email-masked]>
Date: Sun, 25 Oct 2015 15:25:23 +0200

On Sun, 25 Oct 2015 13:35:22 +0100
Aljosha Papsch <[email-masked]> wrote:

> On 24.10.2015 22:35, Efraim Flashner wrote:
> > the error message is near the end of the log: 
> > ../../gcc-4.9.3/gcc/tree-ssa-ccp.c:2751:1: fatal error: error writing 
> > to /tmp/nix-build-gcc-4.9.3.drv-0/cc5mntgw.s: No space left on device 
> > } I assume /tmp is part of / on your system. How much free space do 
> > you have there? That's where the building is done.   
> 
> That was the nudge in the right direction. I didn't think of /tmp being 
> mounted as tmpfs, which lead to wrong assumption that guix had 85GB 
> space left. /tmp is mounted with default options, which means size is 
> half the RAM (2GB). To increase tmpfs size, I remounted /tmp with 
> options "size=20G". These 20GB are backed by 50GB swap, which I 
> increased by reusing an old partition of another system as swap.
> 
> Now building zile suceeds and guix installed it successfully. I guess 
> the bug can be closed now as it appears to be a sole issue of memory 
> resources on this machine. Utilizing gnuplot again, the peak of RAM 
> usage is at approx. 1.8GB, while swap usage is at approx. 1.3GB. The 
> 20GB tmpfs and 50GB swap is a bit much and I'll reduce it to 3GB tmpfs 
> and 6GB swap. I will see if this is sufficient in daily guix usage.
> 
> Aljosha

Glad to hear it worked out :)

my /tmp is a 6GB tmpfs, because for a while I was building and building
texlive, and after whatever else was in /tmp it needed almost 5GB. But that
should be the biggest package.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted